---
title: PerformanceObserverEntryList.getEntriesByName()
slug: Web/API/PerformanceObserverEntryList/getEntriesByName
tags:
  - API
  - Method
  - PerformanceObserverEntryList
  - Reference
  - Web Performance
---
<div>{{APIRef("Performance Timeline API")}}</div>

<p>The <strong><code>getEntriesByName()</code></strong> method of the {{domxref("PerformanceObserverEntryList")}} interface returns a list of explicitly <em>observed</em> {{domxref("PerformanceEntry","performance entry", '', 'true')}} objects for a given <em>{{domxref("PerformanceEntry.name","name")}}</em> and <em>{{domxref("PerformanceEntry.entryType","entry type")}}</em>. The list's members are determined by the set of {{domxref("PerformanceEntry.entryType","entry types", '', 'entry')}} specified in the call to the {{domxref("PerformanceObserver.observe","observe()")}} method. The list is available in the observer's callback function (as the first parameter in the callback).</p>

<p class="note">This method is exposed to {{domxref("Window")}} and {{domxref("Worker")}} interfaces.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>entries</em> = <em>list</em>.getEntriesByName(<em>name</em>, <em>type</em>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
	<dt><em><code>name</code></em></dt>
	<dd>A {{domxref("DOMString")}} representing the name of the entry to retrieve.</dd>
	<dt><em><code>type</code></em> {{optional_inline}}</dt>
	<dd>A {{domxref("DOMString")}} representing the type of entry to retrieve such as "<code>mark</code>". The valid entry types are listed in {{domxref("PerformanceEntry.entryType")}}.</dd>
</dl>

<h3 id="Return_Value">Return value</h3>

<p>A list of explicitly <em>observed</em> {{domxref("PerformanceEntry","performance entry", '', 'true')}} objects that have the specified <code>name</code> and <code>type</code>. If the <code>type</code> argument is not specified, only the <code>name</code> will be used to determine the entries to return. The items will be in chronological order based on the entries' {{domxref("PerformanceEntry.startTime","startTime")}}. If no objects meet the specified criteria, an empty list is returned.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">function print_perf_entry(pe) {
  console.log("name: "        + pe.name      +
              "; entryType: " + pe.entryType +
              "; startTime: " + pe.startTime +
              "; duration: "  + pe.duration);
}

// Create observer for all performance event types
var observe_all = new PerformanceObserver(function(list, obs) {
  var perfEntries;

  // Print all entries
  perfEntries = list.getEntries();
  for (var i=0; i &lt; perfEntries.length; i++) {
    print_perf_entry(perfEntries[i]);
  }

  // Print entries named "Begin" with type "mark"
  perfEntries = list.getEntriesByName("Begin", "mark");
  for (var i=0; i &lt; perfEntries.length; i++) {
    print_perf_entry(perfEntries[i]);
  }

  // Print entries with type "mark"
  perfEntries = list.getEntriesByType("mark");
  for (var i=0; i &lt; perfEntries.length; i++) {
    print_perf_entry(perfEntries[i]);
  }
});
// subscribe to all performance event types
observe_all.observe({entryTypes: ['frame', 'mark', 'measure', 'navigation', 'resource', 'server']});

var observe_frame = new PerformanceObserver(function(list, obs) {
  var perfEntries = list.getEntries();
  // Should only have 'frame' entries
  for (var i=0; i &lt; perfEntries.length; i++) {
    print_perf_entry(perfEntries[i]);
  }
});
// subscribe to only the 'frame' event
observe_frame.observe({entryTypes: ['frame']});
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('Performance Timeline Level 2', '#dom-performanceobserverentrylist-getentriesbyname', 'getEntriesByName()')}}</td>
			<td>{{Spec2('Performance Timeline Level 2')}}</td>
			<td>Initial definition of <code>getEntriesByName()</code> method.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PerformanceObserverEntryList.getEntriesByName")}}</p>
